HanMacWrdKZone Struct Reference documentation

HanMacWrdKZone Struct Reference

Small class used to store the decoded zone of HanMacWrdKParser. More...

`#include <HanMacWrdKParser.hxx>`

## Public Member Functions
| HanMacWrdKZone (MWAWInputStreamPtr const &input, libmwaw::DebugFile &asciiFile)
| constructor given an input and an asciiFile
| HanMacWrdKZone (std::shared_ptr< libmwaw::DebugFile > const &asciiFile)
| constructor given an asciiFile (used for compressed zone)
| ~HanMacWrdKZone ()
| destructor
long | begin () const
| returns the first position in the input
long | end () const
| returns the last position in the input
long | length () const
| returns the zone size
bool | valid () const
| returns true if the zone data exists
long | fileBeginPos () const
| returns the file begin position
long | fileEndPos () const
| returns the file begin position
void | setFileBeginPos (long begPos)
| sets the begin file pos
void | setFileLength (long len)
| sets the file length
void | setFilePositions (long begPos, long endPos)
| sets the begin/end file pos
librevenge::RVNGBinaryData & | getBinaryData ()
| returns a pointer to the binary data
std::string | name () const
| returns the zone name
libmwaw::DebugFile & | ascii () const
| returns the debug file

## Static Public Member Functions
static std::string | name (int type)
| returns the zone name

## Public Attributes
int | m_type
| the type : 1(text), ....
long | m_id
| the zone id
long | m_subId
| the zone subId
MWAWInputStreamPtr | m_input
| the main input
std::string | m_extra
| some extra data
bool | m_parsed
| true if the zone is sended

## Protected Attributes
long | m_filePos
| the begin of the entry
long | m_endFilePos
| the end of the entry
librevenge::RVNGBinaryData | m_data
| the storage (if needed)
libmwaw::DebugFile * | m_asciiFile
| the debug file
std::shared_ptr< libmwaw::DebugFile > | m_asciiFilePtr
| the file pointer

## Private Member Functions
| HanMacWrdKZone (HanMacWrdKZone const &orig)=delete
HanMacWrdKZone & | operator= (HanMacWrdKZone const &orig)=delete

## Friends
std::ostream & | operator<< (std::ostream &o, HanMacWrdKZone const &zone)
| operator <<

## Detailed Description

Small class used to store the decoded zone of HanMacWrdKParser.

## Constructor & Destructor Documentation

## ◆ HanMacWrdKZone() [1/3]

HanMacWrdKZone::HanMacWrdKZone | ( | MWAWInputStreamPtr const & | input,
|  | libmwaw::DebugFile & | asciiFile )

constructor given an input and an asciiFile

Referenced by HanMacWrdKZone(), operator<<, and operator=().

## ◆ HanMacWrdKZone() [2/3]

HanMacWrdKZone::HanMacWrdKZone | ( | std::shared_ptr< libmwaw::DebugFile > const & | asciiFile | ) |
| explicit

constructor given an asciiFile (used for compressed zone)

## ◆ ~HanMacWrdKZone()

HanMacWrdKZone::~HanMacWrdKZone | ( |  | ) |

destructor

## ◆ HanMacWrdKZone() [3/3]

HanMacWrdKZone::HanMacWrdKZone | ( | HanMacWrdKZone const & | orig | ) |
| privatedelete

## Member Function Documentation

## ◆ ascii()

libmwaw::DebugFile & HanMacWrdKZone::ascii | ( |  | ) | const
| inline

returns the debug file

Referenced by HanMacWrdKText::readFont(), HanMacWrdKText::readParagraph(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKText::readToken(), HanMacWrdKParser::readZoneb(), HanMacWrdKText::sendText(), and ~HanMacWrdKZone().

## ◆ begin()

long HanMacWrdKZone::begin | ( |  | ) | const
| inline

returns the first position in the input

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

## ◆ end()

long HanMacWrdKZone::end | ( |  | ) | const
| inline

returns the last position in the input

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

## ◆ fileBeginPos()

long HanMacWrdKZone::fileBeginPos | ( |  | ) | const
| inline

returns the file begin position

Referenced by HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

## ◆ fileEndPos()

long HanMacWrdKZone::fileEndPos | ( |  | ) | const
| inline

returns the file begin position

## ◆ getBinaryData()

librevenge::RVNGBinaryData & HanMacWrdKZone::getBinaryData | ( |  | ) |
| inline

returns a pointer to the binary data

## ◆ length()

long HanMacWrdKZone::length | ( |  | ) | const
| inline

returns the zone size

Referenced by HanMacWrdKText::readFont(), HanMacWrdKText::readParagraph(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKText::readToken(), HanMacWrdKParser::readZoneb(), and valid().

## ◆ name() [1/2]

std::string HanMacWrdKZone::name | ( |  | ) | const
| inline

returns the zone name

Referenced by name(), operator<<, HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

## ◆ name() [2/2]

std::string HanMacWrdKZone::name | ( | int | type | ) |
| static

returns the zone name

## ◆ operator=()

HanMacWrdKZone & HanMacWrdKZone::operator= | ( | HanMacWrdKZone const & | orig | ) |
| privatedelete

## ◆ setFileBeginPos()

void HanMacWrdKZone::setFileBeginPos | ( | long | begPos | ) |
| inline

sets the begin file pos

## ◆ setFileLength()

void HanMacWrdKZone::setFileLength | ( | long | len | ) |
| inline

sets the file length

## ◆ setFilePositions()

void HanMacWrdKZone::setFilePositions | ( | long | begPos,
|  | long | endPos )
| inline

sets the begin/end file pos

## ◆ valid()

bool HanMacWrdKZone::valid | ( |  | ) | const
| inline

returns true if the zone data exists

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), and HanMacWrdKText::sendText().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | HanMacWrdKZone const & | zone )
| friend

operator <<

## Member Data Documentation

## ◆ m_asciiFile

libmwaw::DebugFile* HanMacWrdKZone::m_asciiFile
| protected

the debug file

Referenced by ascii(), HanMacWrdKZone(), and HanMacWrdKZone().

## ◆ m_asciiFilePtr

std::shared_ptr<libmwaw::DebugFile> HanMacWrdKZone::m_asciiFilePtr
| protected

the file pointer

Referenced by begin(), end(), HanMacWrdKZone(), HanMacWrdKZone(), length(), and ~HanMacWrdKZone().

## ◆ m_data

librevenge::RVNGBinaryData HanMacWrdKZone::m_data
| protected

the storage (if needed)

Referenced by end(), getBinaryData(), HanMacWrdKZone(), HanMacWrdKZone(), and length().

## ◆ m_endFilePos

long HanMacWrdKZone::m_endFilePos
| protected

the end of the entry

Referenced by end(), fileEndPos(), HanMacWrdKZone(), HanMacWrdKZone(), length(), setFileBeginPos(), setFileLength(), and setFilePositions().

## ◆ m_extra

std::string HanMacWrdKZone::m_extra

some extra data

Referenced by HanMacWrdKZone(), HanMacWrdKZone(), and operator<<.

## ◆ m_filePos

long HanMacWrdKZone::m_filePos
| protected

the begin of the entry

Referenced by begin(), fileBeginPos(), HanMacWrdKZone(), HanMacWrdKZone(), length(), setFileBeginPos(), setFileLength(), and setFilePositions().

## ◆ m_id

long HanMacWrdKZone::m_id

the zone id

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), HanMacWrdKZone(), HanMacWrdKZone(), operator<<, and HanMacWrdKText::sendText().

## ◆ m_input

MWAWInputStreamPtr HanMacWrdKZone::m_input

the main input

Referenced by HanMacWrdKText::canSendTextAsGraphic(), HanMacWrdKText::computeNumPages(), HanMacWrdKZone(), HanMacWrdKZone(), HanMacWrdKText::readFont(), HanMacWrdKText::readParagraph(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKText::readToken(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

## ◆ m_parsed

bool HanMacWrdKZone::m_parsed
| mutable

true if the zone is sended

Referenced by HanMacWrdKText::flushExtra(), HanMacWrdKZone(), HanMacWrdKZone(), HanMacWrdKParser::readPrintInfo(), HanMacWrdKParser::readZoneb(), and HanMacWrdKText::sendText().

## ◆ m_subId

long HanMacWrdKZone::m_subId

the zone subId

Referenced by HanMacWrdKZone(), HanMacWrdKZone(), and operator<<.

## ◆ m_type

int HanMacWrdKZone::m_type

the type : 1(text), ....

Referenced by HanMacWrdKZone(), HanMacWrdKZone(), and name().

The documentation for this struct was generated from the following files:

- HanMacWrdKParser.hxx
- HanMacWrdKParser.cxx